### Method

# WebKit2WebExtension DOMCharacterData delete_data

deprecated: 2.22

#### Declaration [src]

    void
    webkit_dom_character_data_delete_data (
      WebKitDOMCharacterData* self,
      gulong offset,
      gulong length,
      GError** error
    )

#### Description

No description available.

Deprecated since: 2.22

Use JavaScriptCore API instead.

#### Parameters

`offset`

  Type: `gulong`

  A #gulong.

`length`

  Type: `gulong`

  A #gulong.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.